UltraISO Overview

Along with large capacity hard disk popularity, people were already used to coping compact discs to CD/DVD image files (also called compact disc image document) , generally used is the famous ISO 9660 international standards format, therefore CD/DVD image files are called ISO files. Because the ISO file retained complete data information of the compact disc (including compact disc boot information), you were allowed the convince to use commonly used CD burning software (for example Nero-Burning ROM ) to record the disc with your CD-R/RW over and over forever, it can also be used directly through Virtual CD-ROM drive software (for example SoftDisc ) .

UltraISO is a CD/DVD image file creating/editing/converting tool , it can directly edit the CD/DVD image file and extract files and folders from it, as well as directly make ISO files from your CD/DVD drive or hard disk. At the same time, you can maintain the ISO bootable information, thus creating your own bootable CDs and DVDs. You now have the power to make and edit your own ISO files, and then burn them to CD or DVD for your own needs.

UltraISO is in sole possession of the intellectualized ISO document format analyzer, it can process at the present time almost all types of image files, including ISO and BIN, it may even support new image files which are yet to be created. UltraISO can open these image files, directly extract files and folders, edit it and convert other image files to the standard ISO format.

UltraISO uses the double window unification user contact interface, you have the choice to only use the quick buttons and/or the mouse Drag & Drops, you can handle any CD/DVD image file easily.

Related links:

UltraISO System requirement

UltraISO main characteristics

Copyright (c)2002-2004 EZB Systems, Inc.

Home Page: http://www.ezbsystems.com Support: support@ezbsystems.com


system requirement

  • System requirement of UltraISO:

    • Windows XP, Windows 2000, ME, 98, 98SE, Windows NT4.0 SP6a+ operating system .

    • Intel Pentium 166MHz or above.

    • 64MB memory.

    • At least 10MB free hard disk space .

    • CD-ROM, CD-R/RW, DVD-ROM, the DVD-R/RW driver (copy compact disc image needs).

    • Mouse.


Main features

The UltraISO main characteristic includes :

  • Can directly edit the ISO image file.

  • Can directly extract files and folder from ISO image file

  • Can add / delete /create new directory /rename ISO file image content.

  • Can make ISO file from hard disk document.

  • Can create CD image from CD/DVD-ROM, maintain bootable information.

  • Can process the compact disc boot information, you can directly add/remove/extract boot image of the ISO image.

  • Supports nearly all known CD image file formats (.ISO, .BIN, .IMG, .CIF, .NRG, .BWI and so on) , and converts them to the standard ISO form image.

  • May directly set the file/folder to hidden attribute

  • Supports ISO 9660 Level1/2/3 and Joliet extension

  • Automatically optimizes the ISO image file structure, saves the CD space.

  • Supports the shell document type integration, Open Image files through double clicking them or the Right Click menu of the mouse with the open dialog.

  • The double window user interface is extremely convenient to use.

  • There are rich add-on tools, you can create ALL in 1 bootable compact discs, CD image file management, even the virtual CD/DVD drive , those functions are really powerful.


GUI

Graphical User Interface

UltraISO GUI include Main Window, Image File Editing Window and Local File Browser Window.

Popup Menu is supported in data area.


Main Window

  • Main Window

The "Main Window" includes "Title Bar", "Tool Bar" and "Status Bar".

"Title Bar" show software version and the current ISO image name.

"Tool Bar" include buttons to "New", "Open" and "Save/Save As", ISO image file, and display size of ISO image.

"Status Bar" show Copyright and contact information.


ISO edit window

  • ISO file editing window

ISO file editing window include "ISO directory" tree, "ISO file" list and a toolbar.

"ISO directory" display directory tree of current ISO image, You can change directory by clicking on your desired item.

"Local file" displays all files and folders under current directory. You can do all file manipulation through the toolbar, pop-up menu or just Drag & Drop.

The Toolbar includes some speed buttons, such as file delete/rename/create new directory and add file or folder to ISO image.


Disk file browser

  • Local file browser window

Local file browser widow include "local directory" tree, "local file" list and toolbar.

"Local directory" display directory tree of your computer, include CD/DVD-ROM drives. You can change drive and directory by click on your desired position.

"Local file" display all files and folders under current directory. You can do all file manipulation through toolbar, pop-up menu or just Drag & Drop.

Toolbar includes some button, such as file delete/rename/create new directory and add file or folder to ISO image.


Popup Menu

  • Popup Menu

The "Popup Menu" is different for display area. Right Click the mouse button to bring it up.

For example, Right Click the mouse button in "ISO File" list, a popup menu as following will appear.

Popup menu is content sensitive. It is faster and more comfortable to use.


User's Guide

UltraISO User's Guide

Create New ISO File

Edit an Existing ISO File

Create ISO Image from CD/DVD-ROM Disc

Extract Boot Image from CD/DVD-ROM Disc

Make Floppy Image

Convert CD/DVD Image Format

Burn CD/DVD Image

Check CD/DVD Disc

Make Bootable ISO Image

Set Properties of ISO Image

Create New Audio CD Image

Edit an Existing Audio CD Image

Set Options

Command Line Parameters


Create New ISO

Create New ISO File

  • New ISO File

Create a New ISO Image.

Click [image] to create a new ISO image.

  • Add files and folders

To add files and or folders to an ISO image.

Set destination ISO location in "Image Dir:" list, then select files and folders from the "Local Dir:" list, and click [image] to add.

Or select files and folders in "Local Dir:" list and drag them to "Image Dir:" list or existing "ISO File" then drop.

  • Edit ISO Image content

To change the contents or location of files and folders within your ISO Image.

Using the buttons above the ISO image file, click [image] to create new folders; or select files/folders, then click [image] to delete the files/folders. Rename files/folders by clicking [image] the rename icon.

To move files/folders, simply select files, and Drag to the new destination folder then drop.

  • Save ISO File

Saving the ISO Image.

Click [image] to save current ISO file. If it's newly created one, you need to enter the ISO filename.

or Click [image] to save as a new or different ISO filename.

  • Exit

Click [image] on "Main Window" to exit this program.


Edit ISO file

Edit an Existing ISO File

  • Open ISO File

Opening an existing ISO Image.

Click [image], this will open the "Open ISO File" dialog box, select an ISO file and click the "Open" button.

Or set disk path in "Local Dir:", then double click on filename.

  • Extract from ISO image

Extracting files from the ISO Image.

Select and set the destination location in "Local dir:", then select files and folders from the "Image Dir:" list, and click [image] to extract.

Or select files and folders in "ISO File" list and drag them to "Local Directory" or "Local File" then drop.

  • Add Files and Folders

To add files and or folders to your ISO image.

Set the destination ISO location in "Image Dir:", then select files and folders from "Local Dir" list, and click [image] to add.

Or select files and folders from "Local Dir:" and drag them to "Image Dir:" or "ISO File" then drop.

  • Edit ISO Image content

To change the contents or location of files and folders within your ISO Image.

Using the buttons above the ISO image file, click [image] to create new folders; or select files/folders, then click [image] to delete the files/folders. Rename files/folders by clicking [image] the rename icon.

To move files/folders, simply select files, and Drag to the new destination folder then drop.

  • Save ISO File

Saving the ISO Image.

Click [image] to save current ISO file. If it's newly created one, you need to enter the ISO filename.

or Click [image] to save as a new or different ISO filename.

  • Exit

Click [image] on "Main Window" to exit this program.


Make ISO file from CD-ROM Disc

Create ISO Image from CD/DVD Disc

Click [image] , the "Create CD Image File" dialog will pop-up:

Select your CD/DVD-ROM drive that holds the compact disc, and enter the name of ISO file. Now you can click the 'Make' button to begin making an ISO file.

A progress widow will pop-up to indicate percent done, time used and estimated time. You can click the "Stop" button to cancel the action.

Note:

1) UltraISO can output many formats, you can select ISO, BIN(BIN/CUE), Nero(NRG) or CloneCD (IMG/CCD/SUB) format.

2) If 'Skip Bad Sector' is checked, UltraISO will fill with blank data for bad sectors; otherwise, it will stop making CD/DVD image when a read error encountered.


Convert

Convert CD/DVD Image to Standard ISO

Click [image], the "Convert to Standard ISO" dialog will pop-up:

Select CD/DVD image file(s) to convert, enter the name of output image file, and select output format. Now you can click the 'Convert' button to begin.

A progress widow will pop-up to indicate percent done, time used and estimated time. You can click the "Stop" button to cancel the action.

CopyRight (c)2002-2004 EasyBoot Systems Inc.


Make bootable CD

Make Bootable CD/DVD

  • Create New ISO File or Edit an Existing ISO File

  • Prepare boot image file

Boot image file can be extracted from the original bootable CD/DVD, or from an floppy.

For using DOS-based tools such as PQMagic and Ghost from CD, you can make a floppy first, check it by booting your PC, then use 'Make Floppy Image' to create a boot.ima file.

For making Windows NT/2000/XP bootable CD, you can extract boot image file from the original CD to boot.bif.

For making multi-boot, menu driven CDs and DVDs, please see here.

  • Set boot image

You can set the boot image file in different ways.

If the boot image file is located within the "Image Dir:" list, select it and click [image] above the "ISO File" list to set it as the boot image.

If the boot image file is located in "Local Dir:" list, select it and click [image] above the "Disk File" list to set it as the boot image.

  • Save boot image file

If ISO image is bootable, you use menu "Bootable"->"Save Boot File" to extract to disk for further use.

  • Clear boot information

Use menu "Bootable"->"Clear Boot Information" t to remove boot information of bootable ISO image.

  • Save ISO File

Click [image] to save current ISO file. If it's newly created one, you need to enter the ISO filename.

or Click [image] to save as a new or different ISO filename.

  • Exit

Click [image] on "Main Window" to exit this program.


Extract boot file from CD-ROM Disc

Extract Boot File from CD/DVD Disc

Choose 'Bootable'->'Make Boot File from CD/DVD' from main menu, the "Extract Boot Image" dialog will pop-up:

Select your CD/DVD drive that holds the compact disc, enter the name of boot file. Now you can click the 'Make' button to begin extracting the boot image file.

A progress widow will pop-up to indicate the percent done, time used and estimated time. You can click the "Stop" button to cancel the action.


Make Floppy Image

Make Floppy Disk Image

Click [image], the "Make Floppy Image" dialog will pop-up:

Select your drive that holds the floppy disk, and enter the name of image file. Now you can click the 'Make' button to begin making the image file.

A progress widow will pop-up to indicate percent done, time used and estimated time. You can click the "Stop" button to cancel the action.


multi-boot cd

Make multi-boot CDs and DVDs

You can make multi-boot, menu driven CDs and DVDs through a add-on tool named EasyBoot :

Please visit (http://www.ezbsystems.com/easyboot) for more detailed information.


Create New Audio CD

Create New Audio CD Image

  • New CD image File

Click yellow area behind "Image" [image] to enter Audio CD mode and create a new CD image. The status will changed to [image].

  • Add Music file

Set destination ISO location in "ISO directory", then select .WAV files in "Disk File" list, and click [image] to add.

Or select files in "Disk File" and drag them to "ISO Directory" or "ISO File" then drop.

Note: WAV file must be in CD-DA quality(2 channel/16 bits/ 44100hz). UltraISO will not accept other sample rate.

  • Edit CD Image content

Use buttons above "ISO File", select file , then click [image] to delete file, click [image] to rename.

Select files, Drag to destination then drop, you can move file position.

Note: Do not change the file extension( .WAV).

  • Save image File

Click [image] to save current image file, you need to enter the file name.

  • Exit

Click [image] on "Main Window" to exit this program.


Edit Audio CD file

Edit an Existing Audio CD Image

  • Open CD Image File

Click [image], the "Open ISO File" dialog will pop-up, select audio CD image file and click "Open" button.

Or set disk path in "Local Directory", then double click on filename in "Disk File".

  • Extract from CD image

Each music/song in CD image is displayed as *.wav file entry. Set destination disk location in "Local directory", then select files and folders in "ISO File" list, and click [image] to extract.

Or select files and folders in "ISO File" list and drag them to "Local Directory" or "Local File" then drop.

Note: Files extracted from CD image is saved in standard .WAV format. You can play it by double click.

  • Add Music File

Set destination ISO location in "ISO directory", then select .WAV files in "Disk File" list, and click [image] to add.

Or select files in "Disk File" and drag them to "ISO Directory" or "ISO File" then drop.

Note: WAV file must be in CD-DA quality(2 channel/16 bits/ 44100hz). UltraISO will not accept other sample rate.

  • Edit CD Image content

Use buttons above "ISO File", select file , then click [image] to delete file, click [image] to rename.

Select files, Drag to destination then drop, you can move file position.

Note: Do not change the file extension( .WAV).

  • Save CD image File

Click [image] to save as a new CD image file.

  • Exit

Click [image] on "Main Window" to exit this program.


Burn Image

Burn CD/DVD Image

Click [image] ,UltraISO will call NeroBurn and the "Burn Image " dialog will pop-up:

Select recorder and an CD/DVD image file, then click the 'Burn' button to begin. Please check 'DVD Disc' if you are burning a DVD-R/RW, DVD+R/RW or DVD-RAM disc.

For CD-RW disc, you can erase it's content by clicking the 'Erase' button. You can click the "Abort" button to cancel the action working in progress.

NeroBurn need Nero Burning ROM to work, if you do not have Nero, you can specify another burning software (Such as Roxio Easy CD/DVD Creator, NTI CD/DVD maker, etc.) this way:

Click [image], and 'Configuration' dialog will appear:

Click 'Detect' to find a burning software automatically, or click '...' to browse for the desired burning program, and click 'OK' to save the settings.


Check CD

Select "Tools->Check CD" from main menu, the "Check CD " dialog will pop-up:

Select CD/DVD-ROM, then click the 'Check' button to begin.

Number of sectors and MD5 signature of the compact disc will be displayed if the process is successful.

If you want to check a CD/DVD image, you can emulate it as virtual CD/DVD-ROM by SoftDisc and than check it.

Please visit http://www.ezbsystems.com/softdisc for more detailed information.


Set options of ISO file

Set Properties of ISO Image

Click，the "Properties" dialog will pop-up:

You can set CD volume name, format of CD file system, length of filename in ISO 9660/Joliet volume.

You can set the media type and other options as well.

Click "OK" button to save the configuration, Click "Set as Default" button to save the configuration and use it as default, click "Cancel" to withdraw what you changed.

  • Set document to hidden attribute

Select one or multiple file or folder from "ISO file list", then click [image] to change the selected file attribute to HIDDEN; click [image] once more to return normal state.

Note: files with hidden attribute will display a "!" symbol before "Date/Time".

(c) CopyRight 2002 EZB Systems, Inc.

Home Page: http://www.ultraiso.com Support: support@ultraiso.com


Set options of ISO file

Set Options

Click [image] ，the "Configuration" dialog will pop-up:

You can set the default file viewer to open unknown file type. You can also set the 'My ISO Files Location'.

For advanced options:

1)if "Enable Super Restore" is checked, UltraISO will backup all necessary information when contents of an ISO image is changed. You can use 'Alt+BackSpace" to restore to previous, unmodified image thereafter.

2)If 'Use fixed ISO folder' is checked, UltraISO always use this directory of 'My ISO Files Location" as default when opening or saving files.

3)If "Keep Hidden Attributes" is checked, UltraISO will keep hidden attributes of all files and folders when adding to or extracting from the ISO image.

4)If "Add Joliet volume as needed" is checked, UltraISO will add secondary Joliet volume if any filename exceed ISO 9660 limit.

4)If "Show Session Selector Dialog" is checked, the following dialog will appear when opening a multi-session CD/DVD image:

If not checked, UltraISO will use last session by default.

Click "OK" button to save the configuration, click "Cancel" to withdraw what you changed.

(c) CopyRight 2002-2004 EZB Systems, Inc.

Home Page: http://www.ultraiso.com Support: support@ultraiso.com


Command Line

UltraISO Command Line Parameters :

  • -volume string Volume Label
    -sysid string System ID
    -appid string Application ID
    -volset string Volume Set ID
    -preparer string Preparer
    -publisher string Publisher

    -ilong Long filename for ISO 9660 volume, up to 31 chars
    -imax Max filename for ISO 9660 volume, up to 207 chars
    -vernum Include file version number
    -lowercase Allow lowercase letter

    -joliet Create joliet volume
    -jlong Long filename for joliet volume, up to 103 chars
    -rockridge Create RockRidge volume
    -udf Create UDF volume

    -bootfile filename Set boot file
    -optimize Optimize file systems by coding same files only once

    -file filename Add one file or folder (include folder name and all files and folders under it)
    -directory dirname Add all files and folders under given directory (not include directory name itself)

    -newdir dirname Create a new directory
    -chdir dirname Change current directory in ISO image
    -rmdir filename Remove a file or folder from ISO image (full path should be specified)

-input filename Input ISO image
-output filename Output ISO image

-bin2iso filename Convert input image to ISO format
-extract dirname Extract ISO image to specified directory

  • Example

1) ultraiso -imax -l -f c:\autoexec.bat -d "c:\program files\ultraiso" -volu TEST_CD -out c:\test.iso

Create a new ISO image, adding one file(autoexec.bat) and all files and folders in "c:\program files\ultraiso" to it. Using ISO 9660-MAX name length(up to 207) and allow lowercase characters in filename.

Note: You can use shorter name 'l' for 'lowercase' and 'out' for 'output', so long as it does not conflict with other parameters. In addition, all string or filename with SPACE character should be quoted by "".

2) ultraiso -in c:\test.iso -f c:\config.sys -f "c:\program files\ultraiso"

Open an old ISO image, and add one file and one folder to it.

3) ultraiso -in c:\test.iso -c "/program files/ultraiso" -f "c:\autoexec.bat" -rm /autoexec.bat

Open an ISO image exists, change directory and add one file there; then remove one file.

Note: '/' is used as path separators in an ISO image.


Support and Service

Technical Support and Service

End User License

Order UltraISO

Technical Support

Frequently Asked Questions


EUL

UltraISO End User License

 IMPORTANT - READ CAREFULLY: This End-User License Agreement is a legal agreement between
you (either an individual or a single entity) and EZB Systems, Inc. for the product identified above, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this End-User License Agreement, do not install or use the SOFTWARE PRODUCT; you may however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE
The SOFTWARE PRODUCT is protected by Copyright laws and international Copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold. You may not rent, lease, or lend the SOFTWARE PRODUCT. You may permanently transfer all your rights under this End-User License Agreement, provided you retain no copies, you transfer all of the SOFTWARE PRODUCT and this End-User License Agreement, and the recipient agrees to the terms of this End-User License Agreement

GRANT OF LICENSE

This program version may be installed on a maximum of two computers, so long as it is ONLY running on one system at any time: i.e. one installation at home and one installation at the office and used only by the licensee. The simultaneous use of this SOFTWARE PRODUCT by multiple personnel requires additional licenses. Use of this SOFTWARE PRODUCT over an internal network requires separate license for each user. The licensee shall not use, copy, rent, lease, sell, modify, decompile, disassemble, reverse engineer, or transfer the licensed SOFTWARE PRODUCT except as provided in this agreement. Any such unauthorized use shall result in immediate termination of this license.

All licenses will be issued in the name of the institution, company or school. Each additional license also allows a single user to use the SOFTWARE PRODUCT at home.

LIABILITY

We try to keep my SOFTWARE PRODUCT as bug free as possible. However, it is a general rule, Murphy's, that no software is ever error free, and the number of errors increases with the complexity of the program. We cannot guarantee that this SOFTWARE PRODUCT will run in every environment, on any Windows compatible machine, or together with any other application, without producing errors. Any liability for damage of any sort is hereby denied. In no event shall EZB Systems, Inc. or its suppliers be liable for any special, incidental, indirect, or consequential damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use the SOFTWARE PRODUCT. In any case, the liability is limited to the registration fee. Please evaluate this SOFTWARE PRODUCT with not critical data. Should you detect errors before registration, the user accepts the SOFTWARE PRODUCT errors after registration. Any description of SOFTWARE PRODUCT errors will be accepted, but we cannot guarantee that the errors can be corrected.

Thank you for your understanding and cooperation.

EZB Systems, Inc.

The UltraISO Team


Order

Order UltraISO

Individual user only cost US$29.95, and through the on-line payment way, may get the registration code within 24 hours, obtains UltraISO legal copy software.

Online Order>>>

Please visit our website to get more details: http://www.ezbsystems.com


Support

  • Please visits What's New to check whether you got the newest edition of UltraISO software.

  • Please read Frequently Asked Question to see whether your question is already answered.

  • Please visit UltraISO discussion forum, and see if your topic are talking about by others

  • The technical support is free. You may send your mail to support@ezbsystems.com.

  • In order to provide more accurate service, please provides the following information:
    1. Whether the problem can be reproduced? How is it reproduced?
    2. What operating system you used (Windows 98, Windows 2000, Windows XP and so on).
    3. Your UltraISO version (Example... UltraISO 7.0).
    4. If there are any error dialog boxes, please provides the whole error message, it is better to contain the screenshot capture if possible.


FAQ

Frequently Asked Questions

  • Which operating system does UltraISO support?

Answer: At present UltraISO can run on Windows 98/NT 4.0(SP6a)/2000/XP/2003.

  • What is the size limitation of the ISO Image that UltraISO can process?

Answer: 10GB.

  • Can UltraISO make Windows NT/2000/XP/2003 bootable CDs?

Answer: Yes. If you want to make multiple boot CD/DVDs with colorful graphical menu, you need to purchase EasyBoot add-on tool. Click here for more details.

  • Can UltraISO copy bootable CD to image file?

Answer: Yes. UltraISO copies CD to ISO image file with a sector by sector method, so it can retain all information of the compact disc, includes boot information. Therefore, the CD is still bootable when you make the CD image with UltraISO and burn it back to a CD-R.

  • Can UltraISO edit non-standard ISO image files?

Answer: Yes. UltraISO can intelligently analysis any image format, at present all possible image formats can be edited by UltraISO, and be saved as a standard ISO format.

  • Can UltraISO edit multi-session ISO image file?

Answer: Yes. UltraISO can intelligently analysis multi-session image file, and save it to standard ISO format.

  • Can UltraISO edit Audio CD image file?

Answer: UltraISO can edit Audio CD image in many formats, it also support the amazing feature which let you set song's name and volume ID.

  • How to purchase UltraISO?

Answer: Please see how to order .


Thanks

Credit

Thanks to all those who reported bugs and/or gave suggestions. You all have helped us to make UltraISO to be the world's best CD/DVD image utility. Especially thanks for my friends listed below who helped me in making the web site, writing the help file, etc. Thank you:

Ken Fung

Stephen Meier